using System;

class Lakaka
{
    static void Main(string[] args)
    {
        string Diburuni = Console.ReadLine();
        string Misi = Diburuni.Substring(0, 1);
        string Lakaka = Diburuni.Substring(1, 1);
        string[] y = Console.ReadLine().Split();
        string l = " ";
        int a = int.Parse(y[0]);
        int b = int.Parse(y[1]);
        if (a == b + 1)
        {
            l = Misi+ Lakaka;
            for (int i = 0; i < b; i++)
            {
                Console.Write(l);
            }
            Console.Write(Misi);
        }
        else if (b == a + 1)
        {
            l = Lakaka + Misi;
            for (int i = 0; i < a; i++)
            {
                Console.Write(l);
            }
            Console.Write(Lakaka);
        }
        else if (a == b)
        {
            l = Lakaka + Misi;
            for (int i = 0; i < a; i++)
            {
                Console.Write(l);
            }
        }
        else
        {
            Console.WriteLine("nemoguce");
        }
    }
}